#ifndef _SNTP_H_
#define _SNTP_H_

typedef struct SNTP_frame { 
	u_char mode_stratum;
	u_char poll_precision;
	u_short Root_Delay;
	u_short Root_Dispersion;
	u_short Ref_ID;
	u_longlong Ref_TS;
	u_longlong Orig_TS;
	u_longlong RX_TS;
	u_long TX_TS_sec;
	u_long TX_TS_frac;
	u_char Auth[12];
	} SNTP_FRAME;

typedef struct timedate { 
	u_char year; 
	u_char day; // of the year
	u_char hour; // 24 hour fmt
	u_char min;
	u_char sec;
	} TIMEDATE;

int SNTP_get_stamp(u_long *Stamp, u_long i_adr);
int stamp2timedate(u_long Stamp, TIMEDATE *td);

#endif
